Jump to content
Sign in to follow this  
steffen.opel

What are the targeted minimum platform requirements for API client library implementations?

Recommended Posts

To properly judge implementation design options (in contrast to the HTTP/Json API design itself), the initial minimum platform requirements should be specified/documented. For example, I noticed that JsonClient currently targets .NET 4 and JsonClient.Silverlight Silverlight 4 respectively – does this mean these will be the minimum supported targets for the time being indeed, i.e. .NET 3.5 will not be supported and all .NET 4 goodies are available for the implementation?

Similar questions exist for other platforms like ActionScript and Java of course, e.g. will Java 6 be required etc.

Share this post


Link to post
Guest mrdavidlaing

For the first round of implementations, I think that the current “stable/released” version of each platform should be targeted. We anticipate that in most cases the client libraries will be used in greenfield developments.

Of course, since its open source, we’d welcome patches / forks that add backward compatibility :)

Share this post


Link to post

For the first round of implementations, I think that the current “stable/released” version of each platform should be targeted. We anticipate that in most cases the client libraries will be used in greenfield developments.

Of course, since its open source, we’d welcome patches / forks that add backward compatibility :)

1

I’m currently developing on Java 6. Is that alright?

Share this post


Link to post
Guest mrdavidlaing

For the first round of implementations, I think that the current “stable/released” version of each platform should be targeted. We anticipate that in most cases the client libraries will be used in greenfield developments.

Of course, since its open source, we’d welcome patches / forks that add backward compatibility :)

1

@justin nelson Depends on what is supported by Android I guess. Seems that most all the Java 6 stuff in supported – http://stackoverflow.com/questions/1091114/how-much-of-the-java-6-api-is-implemented-by-android

Share this post


Link to post

For the first round of implementations, I think that the current “stable/released” version of each platform should be targeted. We anticipate that in most cases the client libraries will be used in greenfield developments.

Of course, since its open source, we’d welcome patches / forks that add backward compatibility :)

@mrdavidlaing Ok, I will make sure I just stick with the support Android mindset.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  
×